/**
 *  Stabby Joe
 *  @author Drakkos
 *  @started 11/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 */

#include <armoury.h>
#include "path.h"

inherit "/obj/monster";

int anger_check();

int anger_counter;

void setup() {
    
  set_name ("joe");
  set_short ("Stabby Joe");
  
  add_property ("determinate", "");
  add_property ("unique", 1);
  
  add_adjective ("stabby");
  
  add_alias ("stabby");
  
  set_gender (1);

  set_long ("This is Stabby Joe, Learnville's main shopkeeper and "
    "resident psycho.  While generally at peace, he can be riled "
    "into fits of towering rage by making reference to his cousin, "
    "Slicey Pete.\n");
    
  basic_setup ("human", "thief", 150 + random (100));

  setup_nationality ("/std/nationality/genua", "genua");

    
  load_chat(10, ({ 
    1, "' Buy my stuff, or I'll kill you.",
    1, "' Good prices on all my stuff!  If you can find anything cheaper "
      "in all of Learnville, I'll kill you!",
    1, "' Satisfaction guaranteed, or I'll kill you!",
  }));

  load_a_chat(20, ({ 
    1, "' cut cut cut cut cut cut cut cut!",
    1, "' Gods, that was violent!  I blame... the sea!",
  }));
 
  add_respond_to_with( 
    ({ 
        "@say", 
       ({"slicey"}),
       ({"pete"}),
    }), 
      "#cousin_response");

  request_item ("black leather trousers", 100);
  request_item ("black silk shirt", 100);
  request_item ("black soft-soled boots", 100);
  
  init_equip();
}

void cousin_response() {
  
  anger_counter = anger_counter + 1;
  
  if (anger_check() == 1) {
    do_command ("' I KILL YOU!");
    do_command ("kill " + file_name (this_player()));
  }
  else {
    do_command ("' Don't mention my cousin!");
  }
}
  
int anger_check() {
  if (random (100) < anger_counter) {
    return 1;
  }
  return 0;
}

int query_anger() {
  return anger_counter;
}

void set_anger (int val) {
  anger_counter = val;
}

   