/**
 *  Learnville Inside Room
 *  @author Drakkos
 *  @started 11/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/basic_room";


void setup() {
  set_short ("mysterious room");
  add_property ("determinate", "a ");
   
  set_day_long ("This is a mysterious room during the daytime.  It fairly "
    "reeks of mystery.\n");
    
  set_night_long ("This is a mysterious room during the nighttime.  The "
    "oppressive darkness hints mysteriously at mystery!\n");

  add_day_item ("mystery", "Daytime all around, and yet you cannot see it.");
  
  add_night_item ("mystery", "You can't see the mystery for all the "
    "darkness.");
  
  room_day_chat ( ({ 120, 240, ({
    "The room emits a sense of mystery.",
    "No doubt about it, this is a mysterious room.",
  })})); 
  
  room_night_chat ( ({ 120, 240, ({
    "Was that a mystery there, glinting in the darkness?",
    "Maybe the mystery is a grue?",
  })}));   
  
  set_light (100);

  add_exit ("south", ROOMS + "market_northwest", "door");

  modify_exit ("south", 
    ({
      "door long", "The door hints at mystery within.  Riches too, most "
        "likely.\n",
      "locked", 1,
      "autolock", 1,    
      "difficulty", 4,
      "enter mess", "$N mysteriously enter$s from the mysterious door.  "
        "What wonders were seen on the other side of that portal?",
      "exit mess", "$N exit$s through the mysterious door.",
      "move mess", "You leave the room, satisfied its mysteries have been "
        "revealed to you.\n",        
      "key", "Mysterious Room Key",
    })
  );

}