/**
 *  The Bitter Pill, Learnville Village Pub
 *  @author Drakkos
 *  @started 12/10/2008
 */

#include "path.h"
#include <shops/pub_shop.h>

inherit "/std/shops/pub_shop";

object al;

void setup() {

  set_short ("Bitter Pill");
  add_property("determinate", "");
  set_long ("This is the only pub to be found for miles - the "
    "Bitter Pill.  They call it that because the prices are "
    "somewhat hard to swallow.\n");
  add_property( "place", "Genua" );
  set_language ("morporkian");
  
  set_light (75);

  add_menu_item ("delicious chicken sandwich", PUB_MAINCOURSE, 2000, 
    "chicken sandwich");
  add_menu_item ("refreshing ale", PUB_ALCOHOL, 1500, "beer", 
    PUB_STD_PINT, 0, 1);
    
  add_exit ("west", ROOMS + "market_northeast", "door");  
}

void reset() {
    
  call_out ("after_reset", 3);
}

void after_reset() {
  al = load_object (CHARS + "grumpy_al");
  
  if (environment (al) != this_object()) {
    al->move (this_object(), "$N fall$s in from the roof!", "$N disappears "
      "through a door he draws in mid-air.");
  }
  al->do_command (": stands up and dusts himself down.");
}

